"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerFactory = void 0;
class LoggerFactory {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types,@typescript-eslint/no-explicit-any
    static register(providerName, metrics) {
        LoggerFactory.registry[providerName] = metrics;
    }
    static get(providerName) {
        const metrics = LoggerFactory.registry[providerName];
        if (!metrics) {
            throw new Error(`Logger service ${providerName} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return metrics;
    }
}
exports.LoggerFactory = LoggerFactory;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
LoggerFactory.registry = {};
