"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaybookServiceFactory = void 0;
const repoServiceFactory_1 = require("./repoServiceFactory");
const services_1 = require("../services");
const utils_1 = require("../utils");
const constants_1 = require("../constants");
class PlaybookServiceFactory {
    static get(options, contentService) {
        const playbookOwner = utils_1.Config.getValue(constants_1.ConfigKey.PlaybookOwnerName);
        const playbookRepoName = utils_1.Config.getValue(constants_1.ConfigKey.PlaybookRepoName);
        const repoService = repoServiceFactory_1.RepoServiceFactory.get({
            repoProvider: services_1.RepoServiceProvider.GitHub,
            accessToken: options.playbookAccessToken || "",
            baseUrl: `https://github.com/${playbookOwner}`,
            projectName: playbookRepoName,
        });
        return new services_1.CodeWithPlaybookService(repoService, contentService);
    }
}
exports.PlaybookServiceFactory = PlaybookServiceFactory;
